module Algorithms
  class Sorting
    def selection(array)
      # from: https://www.tutorialspoint.com/data_structures_algorithms/selection_sort_algorithm.htm
      # Step 1 − Set MIN to location 
      # Step 2 − Search the minimum element in the list
      # Step 3 − Swap with value at location MIN
      # Step 4 − Increment MIN to point to next element
      # Step 5 − Repeat until list is sorted
     
      # set a max
      max = array.max
      
      # set the index of the min and use it with pop to make new array
      index_of_min = array.index(array.min)
      almost_sorted_array = array.pop(index_of_min)

      incremented_index = array[index_of_min + 1]
    end

    def insertion
    end

    def merge
    end

    def quick
    end

    def counting
    end
    
    def radix
    end
   
    def heap
    end
    
    def bucket
    end
  end
end